Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006692opensim[REGION] OpenSim Corepublic2013-06-26 09:032014-07-29 13:42
Reporterkenvc 
Assigned Tokenvc 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Quad core 3.33 32GB ramOSWindowsOS VersionServer 2012
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006692: On login 3 attempts at "Requesting region capabilities", then login fail after sits at "Waiting for region handshake"
DescriptionSee opensim log messages related to this in "Additional Info". This appears to be some sort of timeout issue.

This happens when logging into a private test grid running Robust with the destination set to sim 1 of a 25 sim mega loaded with a lot of prims and set to private with my AV the owner. Teleport attempts to this same mega from somewhere else on the same grid also fail. Restarting the mega doesn't help either. This seemed to have started somewhere around a weeks ago, but I just now found time to deal with it.

Imprudence does not display the "Requesting region capabilities" message like Kokua does, but it still fails login after timeout at the "waiting for region handshake prompt".

This seems to be happening because my home on this grid is set to sim 1 on a 25 sim mega. The mega is set to private but my AV is the owner.
Steps To ReproduceSetup a private grid using Robust. Create a 25 sim mega and load it with prims. Set the region to private with your AV the owner. Now try to log directly into this region through robust.
Additional Information2013-06-26 17:33:12,071 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Region Island 1 authenticated and authorized incoming root agent Ken Savage 8e87f6a6-55f8-4ced-9f49-701adb1d0adf (circuit code 1666390909)
2013-06-26 17:34:50,602 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Region Island 1 authenticated and authorized incoming child agent Ken Savage 8e87f6a6-55f8-4ced-9f49-701adb1d0adf (circuit code 715496098)
2013-06-26 17:35:01,772 WARN - OpenSim.Region.Framework.Scenes.Scene [SCENE PRESENCE]: Did not find presence with id 8e87f6a6-55f8-4ced-9f49-701adb1d0adf in Island 1 before timeout
2013-06-26 17:35:01,772 INFO - OpenSim.Framework.Servers.HttpServer.BaseHttpServer [BASE HTTP SERVER]: Slow handling of 4 PUT /agent/8e87f6a6-55f8-4ced-9f49-701adb1d0adf/ from 192.168.1.114:54360 took 10514ms
2013-06-26 17:35:12,177 WARN - OpenSim.Region.Framework.Scenes.Scene [SCENE PRESENCE]: Did not find presence with id 8e87f6a6-55f8-4ced-9f49-701adb1d0adf in Island 1 before timeout
2013-06-26 17:35:12,177 INFO - OpenSim.Framework.Servers.HttpServer.BaseHttpServer [BASE HTTP SERVER]: Slow handling of 5 PUT /agent/8e87f6a6-55f8-4ced-9f49-701adb1d0adf/ from 192.168.1.114:54362 took 10342ms
2013-06-26 17:35:36,342 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Region Island 1 authenticated and authorized incoming child agent Ken Savage 8e87f6a6-55f8-4ced-9f49-701adb1d0adf (circuit code 715496098)
2013-06-26 17:35:47,324 WARN - OpenSim.Region.Framework.Scenes.Scene [SCENE PRESENCE]: Did not find presence with id 8e87f6a6-55f8-4ced-9f49-701adb1d0adf in Island 1 before timeout
2013-06-26 17:35:47,324 INFO - OpenSim.Framework.Servers.HttpServer.BaseHttpServer [BASE HTTP SERVER]: Slow handling of 14 PUT /agent/8e87f6a6-55f8-4ced-9f49-701adb1d0adf/ from 192.168.1.114:54382 took 10608ms
2013-06-26 17:35:58,026 WARN - OpenSim.Region.Framework.Scenes.Scene [SCENE PRESENCE]: Did not find presence with id 8e87f6a6-55f8-4ced-9f49-701adb1d0adf in Island 1 before timeout
2013-06-26 17:35:58,026 INFO - OpenSim.Framework.Servers.HttpServer.BaseHttpServer [BASE HTTP SERVER]: Slow handling of 15 PUT /agent/8e87f6a6-55f8-4ced-9f49-701adb1d0adf/ from 192.168.1.114:54383 took 10405ms
TagsNo tags attached.
Git Revision or version numberr/22948
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerKokua and Imprudence
Attached Files

- Relationships

-  Notes
(0024159)
kenvc (reporter)
2013-06-29 14:24

Just retested this issue using dev master r/22962 and this problem appears to be resolved.

- Issue History
Date Modified Username Field Change
2013-06-26 09:03 kenvc New Issue
2013-06-26 14:25 kenvc Summary Robust - On login 3 attempts at "Requesting region capabilities", then final login fail as "Waiting for region handshake" => Robust - On login 3 attempts at "Requesting region capabilities", then login fail after sits at "Waiting for region handshake"
2013-06-26 16:06 kenvc Category Robust Server => [REGION] OpenSim Core
2013-06-26 16:06 kenvc Summary Robust - On login 3 attempts at "Requesting region capabilities", then login fail after sits at "Waiting for region handshake" => On login 3 attempts at "Requesting region capabilities", then login fail after sits at "Waiting for region handshake"
2013-06-26 16:06 kenvc Description Updated View Revisions
2013-06-26 16:06 kenvc Steps to Reproduce Updated View Revisions
2013-06-26 16:06 kenvc Additional Information Updated View Revisions
2013-06-29 14:24 kenvc Note Added: 0024158
2013-06-29 14:24 kenvc Note Deleted: 0024158
2013-06-29 14:24 kenvc Note Added: 0024159
2013-06-29 14:24 kenvc Status new => resolved
2013-06-29 14:24 kenvc Fixed in Version => master (dev code)
2013-06-29 14:24 kenvc Resolution open => fixed
2013-06-29 14:24 kenvc Assigned To => kenvc
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker